Debian Bug report logs - #590652
megahal: build depends on obsolete Tcl/Tk 8.3

version graph

Package: src:megahal; Maintainer for src:megahal is Debian QA Group <packages@qa.debian.org>;

Reported by: Sergei Golovan <sgolovan@nes.ru>

Date: Wed, 28 Jul 2010 06:30:01 UTC

Severity: serious

Found in version megahal/9.1.1a-8

Fixed in version megahal/9.1.1a-9

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#590652; Package src:megahal. (Wed, 28 Jul 2010 06:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergei Golovan <sgolovan@nes.ru>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 28 Jul 2010 06:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sergei Golovan <sgolovan@nes.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: megahal: build depends on obsolete Tcl/Tk 8.3
Date: Wed, 28 Jul 2010 10:27:56 +0400
Source: megahal
Version: 9.1.1a-8
Severity: important

Hi!

The megahal package build depends on Tcl/Tk 8.3 (tcl8.3-dev in fact)
which is to be removed from Debian in squeeze. Please, replace it with
tcl-dev (preferrably, this will use the default Tcl/Tk version), or
tcl8.4-dev, or tcl8.5-dev.

Cheers!
-- 
Sergei Golovan




Added indication that bug 590652 blocks 472957 Request was from Sergei Golovan <sgolovan@nes.ru> to control@bugs.debian.org. (Wed, 28 Jul 2010 08:15:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Sergei Golovan <sgolovan@debian.org> to control@bugs.debian.org. (Sat, 07 Aug 2010 07:15:04 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Fri, 27 Aug 2010 15:21:08 GMT) Full text and rfc822 format available.

Notification sent to Sergei Golovan <sgolovan@nes.ru>:
Bug acknowledged by developer. (Fri, 27 Aug 2010 15:21:08 GMT) Full text and rfc822 format available.

Message #14 received at 590652-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 590652-close@bugs.debian.org
Subject: Bug#590652: fixed in megahal 9.1.1a-9
Date: Fri, 27 Aug 2010 15:17:14 +0000
Source: megahal
Source-Version: 9.1.1a-9

We believe that the bug you reported is fixed in the latest version of
megahal, which is due to be installed in the Debian FTP archive:

megahal_9.1.1a-9.diff.gz
  to main/m/megahal/megahal_9.1.1a-9.diff.gz
megahal_9.1.1a-9.dsc
  to main/m/megahal/megahal_9.1.1a-9.dsc
megahal_9.1.1a-9_i386.deb
  to main/m/megahal/megahal_9.1.1a-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590652@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated megahal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Aug 2010 14:15:48 +0900
Source: megahal
Binary: megahal
Architecture: source i386
Version: 9.1.1a-9
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 megahal    - conversation simulator that can learn as you talk to it
Closes: 590652
Changes: 
 megahal (9.1.1a-9) unstable; urgency=low
 .
   * QA upload.
   * Replace build-dep on tcp8.3-dev with tcl-dev. (Closes: #590652)
     + Change Makefile to use /usr/include/tcl.
   * Use debhelper compat level 7.
     + debian/rules: Use dh_prep instead of dh_clean -k.
   * debian/copyright: Refer to /usr/share/common-licenses/GPL-2.
   * debian/control: Add ${misc:Depends}.
   * debian/rules: Remove Megahal/Makefile.old in clean target.
   * Remove ./dirs: should be debian/dirs which already exists.
   * Bump Standards-Version to 3.9.1.
Checksums-Sha1: 
 86d786ffef855caa3214fc54bb3816f58c5ee54a 1704 megahal_9.1.1a-9.dsc
 a80e92244948e16f593b2e882cb761b378f8875f 10596 megahal_9.1.1a-9.diff.gz
 3763ecd47e2d0ac1fa60a8727633955c79f46ef0 104170 megahal_9.1.1a-9_i386.deb
Checksums-Sha256: 
 c6320a7851c4b701bdefd6ce42c54c0713fee5ef524fb15036e3993c038c85f7 1704 megahal_9.1.1a-9.dsc
 67fcd090d640675b1e20893aa17ecef953e64d6beb256d91fa6dd507d149a0b1 10596 megahal_9.1.1a-9.diff.gz
 e9d92539eafe3a2ec06d6915a96f10c6c3c5b2276854250f43bb9c4f7b7caf3e 104170 megahal_9.1.1a-9_i386.deb
Files: 
 d416959e3f6df175c445f9e0d759baec 1704 misc optional megahal_9.1.1a-9.dsc
 b0a3adfbd54c37be8450ed87643f6f96 10596 misc optional megahal_9.1.1a-9.diff.gz
 9d9799637c822295a58dfba72f8e1a43 104170 misc optional megahal_9.1.1a-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMd9UXAAoJELs6aAGGSaoGQ0IP/2bflnpMCtM8JGY2fhoWkcfI
46jHhWGlPMl7KIrTsV1d43kO7rcPpkv+1cjBOYP0Sm03YzoGCRxVhFe26ZPPLfa6
t1/9YYfAZL+KHnTqsrkLxYQ0ekhVRIghRYQoKIsFF5bsKqDC8XrWxO9wBe2GivGC
vNKFgVjVgcjLWRoMbRQSQOt96XAtXJCj6K5UB4m9JXfHMMgot81xmlNDWOXEUMmh
Nj5LGPn0LsO3m8xXZ1OeFdRU8It1idSlZXK+/MxbN9IpO0ZsYpwIJhOi6Dz+goGU
dwwjb5TFaPYweNGRTG/TPWVFecjAg4ox9Sgg/60t/+qZ5l3ztg0s8RI/MH18sltl
cI1taUUX66BbVF28E47/urf8UVxELZEx4oE6oTyrIxKzXtXDJV8D624lZQk0m0Fw
6hRg6zXZH8b9IvtKOsDURdN0kp/bkCbTI8R3iBk43iVTe8YJrk+Hcgw3XF//ygZn
fkcVeL3AS6GwiiZIwQB9tWUVi++Q1iPh22ncDsH18rMJ4FShudRK86dJKNak58oW
Zdkwm/l7A1WAlfB3kvYQsLI9G1FrG3eORh2b7sl5XJrPo/XgpWDMPMMk0koR0Aip
2yXXGdXoRoOKkLbIJOHPvMyq/21U0DEREaB8N0RWFNh1gAeHH/BP1sdh9ClAhpX8
vAoYeApHMThbUIKQBIxE
=ojaZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Sep 2010 07:33:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 02:07:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.